Skip to content
Install

List image history entries

GET
/deployments/{id}/image-history
curl --request GET \
--url https://example.com/deployments/example/image-history \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string

OK

Media typeapplication/json
Array<object>
object
branch
string | null
buildCompletedAt
string | null
buildLogs
string | null
buildStartedAt
string | null
commitAuthorName
string | null
commitAuthorUsername
string | null
commitMessage
string | null
commitSha
string | null
createdAt
required
string
deploymentId
string
id
required
string
image
required
string
isActive
required
boolean
tag
string
triggeredBy
object
firstName
string | null
id
required
string
lastName
string | null
username
string | null
key
additional properties
triggeredById
string | null
triggerType
string | null
key
additional properties

Example generated

[
{
"branch": "example",
"buildCompletedAt": "example",
"buildLogs": "example",
"buildStartedAt": "example",
"commitAuthorName": "example",
"commitAuthorUsername": "example",
"commitMessage": "example",
"commitSha": "example",
"createdAt": "example",
"deploymentId": "example",
"id": "example",
"image": "example",
"isActive": true,
"tag": "example",
"triggeredBy": {
"firstName": "example",
"id": "example",
"lastName": "example",
"username": "example"
},
"triggeredById": "example",
"triggerType": "example"
}
]